Name: nexuiz
Version: 2.4
Release: alt3

Summary: 3D deathmatch shooter game
License: GPL
Group: Games/Arcade
Url: http://www.nexuiz.com

Packager: Igor Zubkov <icesik@altlinux.org>

Source0: enginesource20080229.zip

Source1: %name-glx.menu
Source2: %name-sdl.menu

Patch0: nexuiz-1.1-nostrip.patch

# Automatically added by buildreq on Thu Mar 13 2008
BuildRequires: libSDL-devel libXpm-devel libXxf86dga-devel libalsa-devel libmesa-devel unzip

%description
Nexuiz is a 3d deathmatch shooter based on a darkplaces engine.

%package client-sdl
Group: Games/Arcade
Summary: Nexuiz SDL client
Requires: %name-client-common = %version-%release
Requires: %name-data = %version

%description client-sdl
Nexuiz is a 3d deathmatch shooter based on a darkplaces engine. 
This package contains SDL version of Nexuiz client.

%package client-glx
Group: Games/Arcade
Summary: Nexuiz GLX client
Requires: %name-client-common = %version-%release
Requires: %name-data = %version

%description client-glx 
Nexuiz is a 3d deathmatch shooter based on a darkplaces engine.
This package contains GLX version of Nexuiz client.

%package client-common
Group: Games/Arcade
Summary: Nexuiz clients common files

%description client-common
Nexuiz is a 3d deathmatch shooter based on a darkplaces engine.
This package contains clients' common files.

%package server
Group: Games/Arcade
Summary: Nexuiz dedicated server
Requires: %name-data = %version

%description server
Nexuiz is a 3d deathmatch shooter based on a darkplaces engine.
This package contains dedicated server for Nexuiz.

%prep
%setup -q -n darkplaces
#patch0 -p0
sed -i 's/\r//' darkplaces.txt
sed -i 's,/usr/X11R6/,/usr/,g' makefile makefile.inc

%build
export DP_FS_BASEDIR=%_datadir/games/nexuiz
%make_build nexuiz OPTIM_RELEASE="%optflags"

%install
mkdir -p %buildroot%_gamesbindir
mkdir -p %buildroot%_iconsdir
mkdir -p %buildroot%_menudir

install -pm755 nexuiz-sdl %buildroot%_gamesbindir
install -pm755 nexuiz-glx %buildroot%_gamesbindir
install -pm755 nexuiz-dedicated %buildroot%_gamesbindir
install -pm644 darkplaces16x16.png %buildroot%_iconsdir/nexuiz16x16.png
install -pm644 darkplaces24x24.png %buildroot%_iconsdir/nexuiz24x24.png
install -pm644 darkplaces32x32.png %buildroot%_iconsdir/nexuiz32x32.png
install -pm644 darkplaces48x48.png %buildroot%_iconsdir/nexuiz48x48.png
install -pm644 darkplaces64x64.png %buildroot%_iconsdir/nexuiz64x64.png
install -pm644 darkplaces72x72.png %buildroot%_iconsdir/nexuiz72x72.png

install -pm644 %SOURCE1 %buildroot%_menudir/%name-glx
install -pm644 %SOURCE2 %buildroot%_menudir/%name-sdl

%post client-glx
%update_menus

%postun client-glx
%clean_menus

%post client-sdl
%update_menus

%postun client-sdl
%clean_menus

%files client-glx
%doc darkplaces.txt
%_gamesbindir/nexuiz-glx
%_menudir/%name-glx

%files client-sdl
%doc darkplaces.txt
%_gamesbindir/nexuiz-sdl
%_menudir/%name-sdl

%files server
%doc darkplaces.txt
%_gamesbindir/nexuiz-dedicated

%files client-common
%_iconsdir/*

%changelog
* Wed Apr 16 2008 Igor Zubkov <icesik@altlinux.org> 2.4-alt3
- relax deps

* Thu Apr 10 2008 Igor Zubkov <icesik@altlinux.org> 2.4-alt2
- run %%update_menus & %%cleanup_menus in proper place's

* Sun Mar 02 2008 Igor Zubkov <icesik@altlinux.org> 2.4-alt1
- 2.3 -> 2.4

* Tue Nov 27 2007 Igor Zubkov <icesik@altlinux.org> 2.3-alt1
- 2.2.3 -> 2.3

* Thu Mar 15 2007 Igor Zubkov <icesik@altlinux.org> 2.2.3-alt1
- 2.0 -> 2.2.3

* Wed Aug 23 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt1
- 2.0 release.
- specfile cleanup.

* Tue Feb 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.5-alt1
- 1.5 release.

* Fri Sep 02 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.2-alt1
- Initial build for Sisyphus.

